Prepackages
This method allows us to obtain the available activity prepackages.
Prepackages are preliminary structures used to create a package and can be composed of one or more enclosures (e.g. "Oceanogràfic + Bioparc"). Each prepackage, in turn, will have one or more product groups (ProductPaxGroupings).
It is important to take the suggested geolocation into account. It is used by the different catalog methods to locate an area from which to search for hotels.
Access method
POST /Activity/Prepackages
Request structure
All request parameters are optional.
ProviderIds: (list)Optional. List of providers to filter.(string):Optional. Provider identifier.
PrePackageIds: (list)Optional. List of prepackages to filter.(string):Optional. Prepackage identifier.
FromDate: (date)Optional. Initial date to filter prepackages. Default value: current day. ISO 8601 format (YYYY-MM-DD).ToDate: (date)Optional. Final date to filter prepackages. Default value: one year in the future. ISO 8601 format (YYYY-MM-DD).PeopleDistributions: (list)Optional. List with the distribution of people in the different rooms.PeopleDistribution: (object)Optional. Information about the distribution in the corresponding room.NumberOfAdults: (int)Optional. Number of adults.NumberOfChildren: (int)Optional. Number of children.NumberOfSeniors: (int)Optional. Number of seniors.NumberOfBabies: (int)Optional. Number of babies.ChildrenAges: (list)Optional. List with the ages of babies and children.(int):Optional. Age of the baby or child.
Age of babies/children
The age must be requested for all people who are 17 years old or younger.
Request example
Examples
{
"ProviderIds":
[
"djifgbvirefnw",
"39rh3brfn33gb"
]
}
{
"PrePackageIds":
[
"bvqer8bv3b98s",
"bf34578gbrb29"
]
}
{
"FromDate": "2022-06-01",
"ToDate": "2022-08-01"
}
{
"PeopleDistributions":
{
"NumberOfAdults": 2,
"NumberOfChildren": 2,
"ChildrenAges":
[
10,
12
]
}
}
{
"ProviderIds":
[
"djifgbvirefnw",
"39rh3brfn33gb"
],
"FromDate": "2022-06-01",
"ToDate": "2022-08-01",
"PeopleDistributions":
{
"NumberOfAdults": 2,
"NumberOfChildren": 2,
"ChildrenAges":
[
10,
12
]
}
}
Response structure
Timestamp: (dateTime). Time at which the request was processed. ISO 8601 format (yyyy-MM-ddThh:mm:ss.fffffff).-
PrePackages: (list). List of available prepackages.PrePackage: (object). Prepackage information.Id: (string). Prepackage identifier.Order: (int). Display order.Image: (string). URL of the prepackage promotional image.Description: (string). Prepackage description.Name: (string). Prepackage name.CommercialName: (string). Prepackage commercial name.-
ProductPaxGroupings: (list). List of product groupings.-
ProductPaxGrouping: (object). Product grouping information.ProviderId: (string). Provider identifier.ProviderName: (string). Provider name.ProviderLocation: (string). Provider location.Lat: (decimal). Latitude coordinates.Lng: (decimal). Longitude coordinates.
DatePolicyKey: (int). Date policy key. All products with the same key must share the access date.TicketEnclosures: (list). List of enclosures.TicketEnclosure: (object). Enclosure information.Id: (string). Enclosure identifier.Name: (string). Enclosure name.Logo: (string). URL of the image with the enclosure logo.
ValidDays: (int). Validity days.-
ValidDaysType: (int). Type of validity days.Possible values
0: Consecutive1: Non consecutive
-
ProductPaxGroupingId: (string). Grouped product identifier. ProductPaxGroupingName: (string). Grouped product name.
-
SuggestedLocation: (object). Suggested location for accommodation search. It is usually a set of central coordinates calculated between all prepackage enclosures.Lat: (decimal). Latitude coordinates.Lng: (decimal). Longitude coordinates.
-
-
Success: (boolean). Value that indicates whether the call was processed correctly or not. Errors: (list). Array of errors.Error: (object).ErrorMessage: (string). Error message explaining why the request was not successful. If it was correct, it will returnnull.ErrorCode: (int). Code that identifies the error.
ErrorEntityBreakDown(list): list that contains objects with the name and ID in case of error.Id(string): identifierName(string): related name of the identifier.
Response example
Example
{
"PrePackages":
[
{
"Id": "bvqer8bv3b98s",
"Order": 0,
"Image": "https://api.cliente.experticket.com/api/prepackage/image?id=dfbwbbwbw",
"Description": "Experiencia completa que incluye visita al parque de atracciones y visita guiada",
"Name": "Experiencia completa",
"CommercialName": "Expetiencia Completa",
"ProductPaxGroupings":
[
{
"ProviderId": "djifgbvirefnw",
"ProviderName": "Parque de atracciones",
"ProviderLocation":
{
"Lat": 40.0000000,
"Lng": -5.1234567
},
"TicketEnclosures":
[
{
"Id": "sdfjnbvisdbn5",
"Name": "Recinto Parque",
"Logo": "https://api.cliente.experticket.com/api/ticketenclosure/logo?id=7823biub7fb"
},
{
"Id": "isd7u7y1uft4c",
"Name": "Recinto visita",
"Logo": "https://api.cliente.experticket.com/api/ticketenclosure/logo?id=4th24hbwgbnw"
}
],
"ValidDays": 1,
"ValidDaysType": 0,
"ProductPaxGroupingId": "ehrbmjhxhzo9n",
"ProductPaxGroupingName": "Experiencia completa: Parque + Visita Guiada"
}
],
"SuggestedLocation":
{
"Lat": 35.878036,
"Lng": -10.3826333
}
},
{
"Id": "bf34578gbrb29",
"Order": 0,
"Image": "https://api.cliente.experticket.com/api/prepackage/image?id=hedfbvhubvfi",
"Description": "Entrada de Cine 4D, parque y pase express para evitar colas",
"Name": "Entrada parque + cine + express",
"CommercialName": "Entrada completa premium",
"ProductPaxGroupings":
[
{
"ProviderId": "39rh3brfn33gb",
"ProviderName": "Aventura Park",
"ProviderLocation":
{
"Lat": 25.0000000,
"Lng": 20.1234567
},
"TicketEnclosures":
[
{
"Id": "wrthw3rh35j4h",
"Name": "Cine 4D",
"Logo": "https://api.cliente.experticket.com/api/ticketenclosure/logo?id=asedhbtehb"
},
{
"Id": "wrj35yj35jw4t",
"Name": "Parque",
"Logo": "https://api.cliente.experticket.com/api/ticketenclosure/logo?id=tjyjnenrn"
}
],
"ValidDays": 2,
"ValidDaysType": 0,
"ProductPaxGroupingId": "ehrbmjhxhzo9n",
"ProductPaxGroupingName": "Completo premium"
}
],
"SuggestedLocation":
{
"Lat": 25.0000000,
"Lng": 20.1234567
}
}
],
"Success": true,
"Timestamp": "2022-03-10T13:52:32.0509684"
}